Package org.codehaus.groovy.control

# Class ConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.groovy.control.ConfigurationException

All Implemented Interfaces:
  `Serializable`, `GroovyExceptionInterface`

public class ConfigurationException extends RuntimeException implements GroovyExceptionInterface
Thrown when configuration data is invalid.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Exception`
  `cause`
  Underlying configuration failure, if one is available.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationException(Exception cause)`
  Initializes the exception from a cause exception.
  `ConfigurationException(String message)`
  Initializes the exception with just a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  Returns the causing exception, if available.
  `boolean`
  `isFatal()`
  It's always fatal.
  `void`
  `setFatal(boolean fatal)`
  Set fatal is just ignored.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cause

    protected Exception cause
    Underlying configuration failure, if one is available.

- ## Constructor Details

  - ### ConfigurationException

    public ConfigurationException(Exception cause)
    Initializes the exception from a cause exception.

  - ### ConfigurationException

    public ConfigurationException(String message)
    Initializes the exception with just a message.

- ## Method Details

  - ### getCause

    public Throwable getCause()
    Returns the causing exception, if available.
    Overrides:
      `getCause` in class `Throwable`

  - ### isFatal

    public boolean isFatal()
    It's always fatal.
    Specified by:
      `isFatal` in interface `GroovyExceptionInterface`
    Returns:
      `true` if this exception is fatal; `false` otherwise

  - ### setFatal

    public void setFatal(boolean fatal)
    Set fatal is just ignored.
    Specified by:
      `setFatal` in interface `GroovyExceptionInterface`
    Parameters:
      `fatal` - `true` to mark this exception as fatal; `false` otherwise